Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

Just wanted to get couple of opinions on my
findings conerning possibility of
having Groovy work with J2ME CLDC, which at this
momement does not seem likely.
If it is possible, maybe find some possible work
around the obstacles.
-Groovy (JVM 1.3) and J2ME (JDK1.4) runs on.
-CLDC uses a KVM. KVM, a smaller version of the
Java Virtual Machine (JVM),
includes a subset of the standard bytecode
verification. Groovy requires and
runs on the JVM.
-CLDC does not allow for application-defined
classloaders.
Any input would be great! Thanks.